%define docsdir /usr/share/ovirt-engine/docs
%define locale ja-JP
%define beta 0

Name:          rhevm-doc-%{locale}
Version:       3.1.0
Release:       7%{?dist}
Summary:       Red Hat Enterprise Virtualization %{locale} documentation
Group:         Documentation
License:       CC-BY-SA
URL:           http://docs.redhat.com
Source:        %{name}-%{version}.tgz
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:      xdg-utils
Requires:	   rhevm >= 3.1.0
Requires:      rhevm-doc >= 3.1.0

%if 0%{?beta}

BuildRequires:    Red_Hat_Enterprise_Linux-Hypervisor_Deployment_Guide-6-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Linux-V2V_Guide-6-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Administration_Guide-3.1-Beta-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Command_Line_Shell_Guide-3.1-Beta-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Evaluation_Guide-3.1-Beta-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Installation_Guide-3.1-Beta-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Power_User_Portal_Guide-3.1-Beta-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Quick_Start_Guide-3.1-Beta-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Developer_Guide-3.1-Beta-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-Technical_Reference_Guide-3.1-Beta-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Virtualization-User_Portal_Guide-3.1-Beta-web-%{locale}

%else


BuildRequires:    Red_Hat_Enterprise_Linux-V2V_Guide-6-web-%{locale}
BuildRequires:    Red_Hat_Enterprise_Linux-Hypervisor_Deployment_Guide-6-web-%{locale}

# Include English versions of all guides. For those that aren't translated symlinks will be created.
# English guides will not themselves be packaged.
BuildRequires:    Red_Hat_Enterprise_Virtualization-Installation_Guide-3.1-web-en-US
BuildRequires:    Red_Hat_Enterprise_Virtualization-Power_User_Portal_Guide-3.1-web-en-US
BuildRequires:    Red_Hat_Enterprise_Linux-V2V_Guide-6-web-en-US
BuildRequires:    Red_Hat_Enterprise_Linux-Hypervisor_Deployment_Guide-6-web-en-US
BuildRequires:    Red_Hat_Enterprise_Virtualization-Administration_Guide-3.1-web-en-US
BuildRequires:    Red_Hat_Enterprise_Virtualization-Command_Line_Shell_Guide-3.1-web-en-US
BuildRequires:    Red_Hat_Enterprise_Virtualization-Evaluation_Guide-3.1-web-en-US
BuildRequires:    Red_Hat_Enterprise_Virtualization-Quick_Start_Guide-3.1-web-en-US
BuildRequires:    Red_Hat_Enterprise_Virtualization-Developer_Guide-3.1-web-en-US
BuildRequires:    Red_Hat_Enterprise_Virtualization-Technical_Reference_Guide-3.1-web-en-US
BuildRequires:    Red_Hat_Enterprise_Virtualization-User_Portal_Guide-3.1-web-en-US
%endif

%description

This package contains translations of the Red Hat Enterprise Virtualization 
documentation for the %{locale} locale in html and pdf format.

%prep
%setup -q -c $RPM_BUILD_DIR

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{docsdir}/en-US/
mkdir -p $RPM_BUILD_ROOT/%{docsdir}/%{locale}
mkdir -p $RPM_BUILD_ROOT/%{docsdir}/common/
mkdir -p $RPM_BUILD_ROOT/%{docsdir}/RedHat/

cp -r /var/www/html/docs/en-US/Red_Hat_Enterprise_{Virtualization,Linux}/*/html/ $RPM_BUILD_ROOT/%{docsdir}/en-US/
cp -r /var/www/html/docs/en-US/Red_Hat_Enterprise_{Virtualization,Linux}/*/pdf/ $RPM_BUILD_ROOT/%{docsdir}/en-US/

# Check at least one translated RHEL book is installed, otherwise the copies will fail.
if [ -d "/var/www/html/docs/%{locale}/Red_Hat_Enterprise_Linux/" ]; then
    cp -r /var/www/html/docs/%{locale}/Red_Hat_Enterprise_Linux/*/html/ $RPM_BUILD_ROOT/%{docsdir}/%{locale}/
    cp -r /var/www/html/docs/%{locale}/Red_Hat_Enterprise_Linux/*/pdf/ $RPM_BUILD_ROOT/%{docsdir}/%{locale}/
fi

# Check at least one translated RHEV book is installed, otherwise the copies will fail.
if [ -d "/var/www/html/docs/%{locale}/Red_Hat_Enterprise_Virtualization/" ]; then
    cp -r /var/www/html/docs/%{locale}/Red_Hat_Enterprise_Virtualization/*/html/ $RPM_BUILD_ROOT/%{docsdir}/%{locale}/
    cp -r /var/www/html/docs/%{locale}/Red_Hat_Enterprise_Virtualization/*/pdf/ $RPM_BUILD_ROOT/%{docsdir}/%{locale}/
fi


# PDF files contain the version in their filename. We don't want to include the
# -Beta, because that will break the splash page.
%if 0%{?beta}

for FILE in `find $RPM_BUILD_ROOT/%{docsdir}/%{locale}/pdf/ -name '*.pdf'`; do
    mv ${FILE} ${FILE/3.1-Beta/3.1}
done

%endif

for FILE in `find $RPM_BUILD_ROOT/%{docsdir}/%{locale}/. -name '*.html'`; do
    sed -i -e :a -e 's/<script type="text\/javascript".*<\/script>//g;/</N;//ba;' ${FILE}
    sed -i -e :a -e 's/<div id="tocdiv" class="toc"><iframe.*<\/iframe><\/div>//g;/</N;//ba;' ${FILE} 
	# Replacing ../../../../../ with ../../../ to get to common content.
	sed -i -e 's/\.\.\/\.\.\/\.\.\/\.\.\/\.\.\//\.\.\/\.\.\/\.\.\//g' ${FILE}
done

cd $RPM_BUILD_ROOT
for FILE in `find ./%{docsdir}/en-US -mindepth 1 -maxdepth 2 -type d`; do
	if [[ ! -d ${FILE/en-US/%{locale}} && ! -h ${FILE/en-US/%{locale}} ]]; then
		ln -s ${FILE/.\//} ${FILE/en-US/%{locale}}
	fi
done
cd -

# Link common content back to en-US css/images.
cd $RPM_BUILD_ROOT/%{docsdir}/common/
ln -s ./en-US ./%{locale}
cd -
cd $RPM_BUILD_ROOT/%{docsdir}/RedHat/
ln -s ./en-US ./%{locale}
cd -

# Clean out the en-US materials to avoid packaging them (they belong in rhevm-doc), leaving them here
# but ommiting them from the files section would result in an error.
rm -rf $RPM_BUILD_ROOT/%{docsdir}/en-US/

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%doc %{docsdir}/%{locale}
%doc %{docsdir}/common/%{locale}
%doc %{docsdir}/RedHat/%{locale}

%changelog
* Mon Oct 29 2012 Stephen Gordon <sgordon@redhat.com> - 3.1.0-7
- Only include complete translations - rhbz#837644 
* Tue Oct 23 2012 Stephen Gordon <sgordon@redhat.com> - 3.1.0-6
- Further branding fix required - rhbz#867951
* Tue Oct 23 2012 Stephen Gordon <sgordon@redhat.com> - 3.1.0-5
- Fix branding - rhbz#867951 
* Mon Oct 15 2012 Stephen Gordon <sgordon@redhat.com> - 3.1.0-4
- Renamed CLI Guide to Command Line Shell Guide - rhbz#862071
* Thu Sep 27 2012 Stephen Gordon <sgordon@redhat.com> - 3.1.0-3
- Strip leading ./ from links which caused them to be invalid.
* Thu Sep 27 2012 Stephen Gordon <sgordon@redhat.com> - 3.1.0-2
- Updated symlink logic to create valid links.
* Thu Jul 27 2012 Stephen Gordon <sgordon@redhat.com> - 3.1.0-1
- Initial non-English package.
